Create a personal customer profile+ APIAsk AIpost https://api-sandbox.straitsx.com/v1/kyc/customer_profiles[Available in Sandbox/Production environment] Create a personal CP+ profile on our platform.Body ParamscustomerNamestringCustomer's full name (50 alphanumeric with spaces)Regex: /^(?=.{1,50}$)[a-zA-Z0-9 ]+$/customerFirstNamestringrequiredCustomer's first name(Must be within 191 characters)Regex: /^\s*.{1,191}\s*$/customerLastNamestringrequiredCustomer's last name(Must be within 191 characters)Regex: /^\s*.{1,191}\s*$/customerNativeNamestringMust be within 191 charactersRegex: /^\s*.{1,191}\s*$/phoneNostringMust follow international format with country codeRegex: /^\+?[1-9]\d{0,3}[\s\-]?\(?\d{1,4}\)?[\s\-]?\d{1,4}[\s\-]?\d{1,4}[\s\-]?\d{0,4}$/addressobjectrequiredCustomer's residency addressaddress objectcountryOfResidencestringrequiredCustomer's country of residence reflected in ID(Country Name or 2/3 digit ISO country code) from https://www.iban.com/country-codes Regex: /^[A-Z]{2}$/dateOfBirthdaterequiredCustomer's date of birth (YYYY-MM-DD) Regex: /^\d{4}-\d{2}-\d{2}$/emailstringrequiredCustomer's email address Regex: %r{^[\w!#$%&'*+/=?`{|}~^-]+(?:\.[\w!#$%&'*+/=?`{|}~^-]+)*@(?:[a-z0-9-]+\.)+[a-z]{2,24}$}igenderstringrequiredCustomer's gender. Must be either MALE or FEMALE.nationalitystringrequiredCustomer's nationality (Country Name or 2/3 digit ISO country code) from https://www.iban.com/country-codes Regex: /^\s*.{1,191}\s*$/registrationIdstringrequiredMust be within 4-35 charactersRegex: %r{\A[a-zA-Z0-9/\-?:().,'+ ]{4,35}\z}registrationTypestringrequiredPlease input personal onlyregistrationIdCountrystringrequiredCustomer's registration ID country (2 digit ISO country code) from https://www.iban.com/country-codes Regex: /^[A-Z]{2}$/registrationIdTypestringrequiredAccepts either passport or identity_cardregistrationIdExpiryDatedateMust be in 'yyyy-MM-dd' formatRegex: /^\d{4}-\d{2}-\d{2}$/businessIndustrystringrequiredPlease input 1 value onlyRefer to "Business Industry Accepted Values" code block for the list of accepted valuesoccupationstringrequiredPlease input 1 value onlyRefer to "Occupation Accepted Values" code block for the list of accepted valuesexpectedAnnualTransactionAmountstringrequiredPlease input 1 value onlyAccepted values: 0_TO_1000, 1001_TO_5000, 5001_TO_10000, 10001_TO_30000, GT_30000expectedTransactionSizestringrequiredPlease input 1 value onlyAccepted values: 0_TO_1000, 1001_TO_5000, 5001_TO_10000, 10001_TO_20000, GT_20000expectedTransactionFrequencystringrequiredPlease input 1 value onlyAccepted values: AT_LEAST_ONCE_EVERY_2_WEEKS, AT_LEAST_ONCE_A_MONTH, AT_LEAST_ONCE_EVERY_6_MONTHS, AT_LEAST_ONCE_A_YEARannualIncomestringrequiredPlease input 1 value onlyAccepted values: 0_TO_30000, 30001_TO_50000, 50001_TO_100000, 100001_TO_500000, GT_500000identityDocumentsobjectrequiredidentityDocuments objecttotalWealthstringrequiredAccepted values: 0_TO_500000, 500001_TO_2000000, 2000001_TO_5000000, 5000001_TO_10000000, GT_10000000sourceOfWealthobjectsourceOfWealth objectipAddressesarray of stringsrequiredExample: ["8.8.8.8"]ipAddresses*ADD stringpurposeOfAccountstringrequiredAccepts only INVESTMENT, TRADING, REMITTANCES and OTHERSotherPurposeOfAccountstringRequired if OTHERS is selected for purposeOfAccount field.HeadersX-XFERS-APP-API-KEYstringrequiredYou can retrieve this from your Dashboard Developer Tools.Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.X-PUBLIC-KEY-IDstringThe Key ID, can be retrieved from your StraitsX Dashboard.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-TIMESTAMPstringCurrent Unix epoch time in seconds. Must be within ±300 seconds of server time.Note: This header attribute is required when HTTP Request Signing is enabled for your account.X-NONCEstringA unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/iNote: This header attribute is required when HTTP Request Signing is enabled for your account.X-SIGNATUREstringBase64-encoded digital signature of the canonical request string.Note: This header attribute is required when HTTP Request Signing is enabled for your account.Response 200SuccessUpdated 9 months ago